/*****************************************************************************
*
*   Name:   I2C Character LCD Demo Program for use with PCF8574A Port Expander
*
*   Date:   2008.02.24
*   Ver:    1.00
*   Who:    GJO
*
*   History:
*
*   Ver     Date        Who     Description
*   ---------------------------------------------------------------------------
*   1.00    2008.02.24  GJO     Initial Version
*
*   Tools Used:
*
*   Compiler:   CCS PCH V4.068
*   Programmer: Tech-Tools Quick-Writer
*   PIC HW:     EPM8722 SIMM-72 Controller and Breakout Board
*   Target:     PIC18F8722
*
*****************************************************************************/

#include <18F8722.h>
#use delay(clock=16000000)
#fuses HS,NOWDT,NOPROTECT,NOLVP

#include "PCF8574A_LCD.c"

void main(void)
{

    init_display();

    set_LCD_cur(0,0);
    printf(put_I2C_LCD, "   HALLO PETE   ");

    set_LCD_cur(1,0);
    printf(put_I2C_LCD, " PCF8574 -> LCD ");

    for( ; ; );
}